arrangers: []
catalog: WAV-014
categories:
- Doujin Music
category: Doujin Music
classification: Original Work
composers:
- link: artist/32398
  names:
    en: Edelritter
- link: artist/2735
  names:
    en: Nhato
- link: artist/2454
  names:
    en: Taishi
covers: []
discs:
- disc_length: '19:30'
  name: Disc 1
  tracks:
  - names:
      English: Incineration
    track_length: '5:13'
  - names:
      English: Grand Slam
    track_length: '4:47'
  - names:
      English: Rapid Fire
    track_length: '4:21'
  - names:
      English: The Word For World Is Forest
    track_length: '5:09'
link: album/91533
lyricists: []
media_format: CD
meta:
  added_date: 2019-10-13T07:24
  edited_date: 2021-05-27T04:19
  fetched_date: 2026-01-05T15:18
  freedb: 0
  ttl: 86400
  visitors: 1140
name: INCINERATION
names:
  en: INCINERATION
  ja: INCINERATION
  ja-latn: INCINERATION
notes: 'M3 Autumn 2017 Release.

  Event Price: 1,000 JPY

  Store Price: 1,650 JPY

  Composition:

  Edelritter (Nhato & Taishi)

  Mastering:

  Nhato

  Illustration:

  Hanamori Hiro

  Design:

  SoU'
organizations:
- &id001
  link: org/1997
  names:
    en: wavforme
    ja: wavforme
    ja-latn: wavforme
  role: publisher
performers: []
picture_full: https://media.vgm.io/albums/33/91533/91533-1570980288.jpg
picture_small: https://medium-media.vgm.io/albums/33/91533/91533-1570980288.jpg
picture_thumb: https://thumb-media.vgm.io/albums/33/91533/91533-1570980288.jpg
publish_format: Doujin/Indie
publisher: *id001
related: []
release_date: '2017-10-29'
release_events:
- link: event/205
  name: Released at M3-2017 Fall (Oct 29, 2017)
  shortname: None
release_price:
  currency: JPY
  price: 1000.0
reprints: []
vgmdb_link: https://vgmdb.net/album/91533?perpage=99999
votes: 0
